<div class="headerDiv bg-primary">
  <div class="flex justify-content-between flex-wrap">
    <div class="flex align-items-center justify-content-center w-4rem h-3rem bg-primary border-round m-2">
      <p-sidebar #sidebarRef [(visible)]="sidebarVisible">
        <ng-template pTemplate="headless">
          <div class="flex flex-column h-full">
            <div class="flex align-items-center justify-content-between px-4 pt-3 flex-shrink-0">
        <span>
                    <p-button type="button" (click)="closeCallback($event)" icon="pi pi-times"
                              styleClass="h-2rem w-2rem"></p-button>
                </span>
            </div>
            <div class="overflow-y-auto">
              <ul class="list-none p-3 m-0">
                <li>
                  <div
                    pRipple
                    pStyleClass="@next"
                    enterClass="hidden"
                    enterActiveClass="slidedown"
                    leaveToClass="hidden"
                    leaveActiveClass="slideup"
                    class="p-3 flex align-items-center justify-content-between text-600 cursor-pointer p-ripple"
                  >

                  </div>
                  <ul class="list-none p-0 m-0 overflow-hidden">
                    <li>
                      <a pRipple (click)="goToMain()"
                         class="flex align-items-center cursor-pointer p-3 border-round text-700 hover:surface-100 transition-duration-150 transition-colors p-ripple">
                        <i class="pi pi-home mr-2"></i>
                        <span class="font-medium">Kezdőképernyő</span>
                      </a>
                    </li>
                  </ul>
                  <ul class="list-none p-0 m-0 overflow-hidden">
                    <li>
                      <a pRipple (click)="goToUserData()"
                         class="flex align-items-center cursor-pointer p-3 border-round text-700 hover:surface-100 transition-duration-150 transition-colors p-ripple">
                        <i class="pi pi-user mr-2"></i>
                        <span class="font-medium">Személyes adatok</span>
                      </a>
                    </li>
                  </ul>
                  <p-divider></p-divider>
                  <ul class="list-none p-0 m-0 overflow-hidden" *ngIf="loginToTvezeto">
                    <li>
                      <a pRipple (click)="goToTerListByTeacher()"
                         class="flex align-items-center cursor-pointer p-3 border-round text-700 hover:surface-100 transition-duration-150 transition-colors p-ripple">
                        <i class="pi pi-users mr-2"></i>
                        <span class="font-medium">Tanárok TÉR Listája</span>
                      </a>
                    </li>
                    <li>
                      <a pRipple (click)="goToSelfRating()"
                         class="flex align-items-center cursor-pointer p-3 border-round text-700 hover:surface-100 transition-duration-150 transition-colors p-ripple">
                        <i class="pi pi-history mr-2"></i>
                        <span class="font-medium">Önértékelések kezelése</span>
                      </a>
                    </li>
                  </ul>
                  <ul class="list-none p-0 m-0 overflow-hidden" *ngIf="loginToTanar">
                    <li>
                      <a pRipple (click)="goToSetTEr()"
                         class="flex align-items-center cursor-pointer p-3 border-round text-700 hover:surface-100 transition-duration-150 transition-colors p-ripple">
                        <i class="pi pi-chart-bar mr-2"></i>
                        <span class="font-medium">TÉR</span>
                      </a>
                    </li>

                    <li>
                      <a pRipple (click)="goToSelfRating()"
                         class="flex align-items-center cursor-pointer p-3 border-round text-700 hover:surface-100 transition-duration-150 transition-colors p-ripple">
                        <i class="pi pi-history mr-2"></i>
                        <span class="font-medium">Önértékelés</span>
                      </a>
                    </li>
                    <!--
                    <li>
                      <a pRipple
                         class="flex align-items-center cursor-pointer p-3 border-round text-700 hover:surface-100 transition-duration-150 transition-colors p-ripple">
                        <i class="pi pi-chart-bar mr-2"></i>
                        <span class="font-medium">Kitöltési szabályzat</span>
                      </a>
                    </li>
                    -->
                  </ul>
                  <ul class="list-none p-0 m-0 overflow-hidden" *ngIf="loginToAdmin">
                    <li>
                      <a pRipple (click)="goToNewUser()"
                         class="flex align-items-center cursor-pointer p-3 border-round text-700 hover:surface-100 transition-duration-150 transition-colors p-ripple">
                        <i class="pi pi-calendar mr-2"></i>
                        <span class="font-medium">Új munkavállaló felvétele</span>
                      </a>
                    </li>
                    <li>
                      <a pRipple
                         class="flex align-items-center cursor-pointer p-3 border-round text-700 hover:surface-100 transition-duration-150 transition-colors p-ripple">
                        <i class="pi pi-calendar mr-2"></i>
                        <span class="font-medium">Munkavállaló adatainak módosítása</span>
                      </a>
                    </li>
                  </ul>
                  <p-divider></p-divider>
                  <ul class="list-none p-0 m-0 overflow-hidden">
                    <li>
                      <a pRipple (click)="logout()"
                         class="flex align-items-center cursor-pointer p-3 border-round text-700 hover:surface-100 transition-duration-150 transition-colors p-ripple">
                        <i class="pi pi-times mr-2"></i>
                        <span class="font-medium">Kijelentkezés</span>
                      </a>
                    </li>
                  </ul>
                </li>
              </ul>
            </div>
            <div class="mt-auto">
              <hr class="mb-3 mx-3 border-top-1 border-none surface-border"/>
            </div>
          </div>
        </ng-template>
      </p-sidebar>
      <p-button (click)="sidebarVisible = true" icon="pi pi-align-justify"></p-button>
    </div>
    <div class="flex align-items-center justify-content-center w-20rem h-3rem bg-primary border-round m-2">
      <div class="flex align-content-center flex-wrap">
        <div class="flex align-items-center justify-content-center w-4rem h-3rem bg-primary border-round m-2">
          <p-avatar icon="pi pi-user" styleClass="mr-2" size="large" shape="circle"></p-avatar>
        </div>
        <div class="flex align-items-center justify-content-center w-8rem h-3rem bg-primary border-round m-2">
          {{ fhName }}
        </div>
      </div>
    </div>
  </div>
</div>
